<?php
#########################################################
# @Software     HomeLibrary                             #
# @Created by   Nick Bakkegaard (homelibrary.dk)        #
# @License		GNU/AGPL (see LICENSE.php)              #
#########################################################

//No direct access to file
defined( '_FILE_ACCESS' ) or die( 'Restricted access' );

include_once("class.user.php");

class Session {
	
	//call variables
	public $id;
	public $ip;
	public $user_id;
	public $started;
	public $ended;
	public $admin;
	public $user;
	
	//make setters
	function set_id($id) { $this->id = $id; }
	function set_ip($ip) { $this->ip = $ip; }
	function set_user_id($user_id) { $this->user_id = $user_id; }
	function set_started($started) { $this->started = $started; }
	function set_ended($ended) { $this->ended = $ended; }
	function set_admin($admin) {$this->admin = $admin;}
	function set_user($user) {$this->user = $user;}
	
	//make getters
	function get_id() { return $this->id; }
	function get_ip() { return $this->ip; }
	function get_user_id() { return $this->user_id; }
	function get_started() { return $this->started; }
	function get_ended() { return $this->ended; }
	function get_admin() {return $this->admin; }
	function get_user() {return $this->user; }
	
	
function login($login,$password) {
	
	//regenerate session id
	session_regenerate_id();

	//make instance of user object
	$user = new User;
	
	//check if there is an @ in the login name sets the email to login
	if (preg_match("/@/i", $login)) $user->set_email($login);
	
	//else it sets the user to login
	else $user->set_username($login);
	
	//call database
	$user->database($login); 
	
	// if user password = md5 of loginpassword
	if ($user->get_private_password()==md5($password)) {
		
		//set admin true
		$this->admin = true;
		
		//define current time
		$timestamp_start = strtotime("now"); //take current time
		
		//define current time + 1 hour
		$timestamp_end = strtotime("+1 hour"); //take current plus one
		
		//set session id and ip
		$this->id = session_id(); 
		$this->ip = $_SERVER['REMOTE_ADDR']; 
		
		//create session in sessions table
		mysql_query("INSERT INTO sessions (id, ip, user_id, started, ended)
			
			VALUES ('$this->id','$this->ip','$user->id','$timestamp_start','$timestamp_end')")
			
			or die('Error: ' . mysql_error());	//put the session in the table
		
		//set userid
		$this->user_id = $user->get_id();
	}
	//else set login false
	else $this->admin = false;
}

//function logout	
function logout() {
	
	//set session id
	$this->id = session_id();
	
	//define current time
	$timestamp=strtotime("now");
	
	//update session table
	mysql_query("UPDATE sessions SET 
		ended = '$timestamp' 
		WHERE id = '$this->id' ") or die('Error: ' . mysql_error()); 
	
	//regenerate session id
	session_regenerate_id();
	
	//set admin false
	$this->admin = false;
	
}

//function check if user is logged in
function check() {
	
	//set session id
	$this->id = session_id();
	
	//mysql query
	$result = mysql_query("SELECT * FROM sessions WHERE id='$this->id'") or die('Error: ' . mysql_error());
	
	//check if session id exsist in table
	if(mysql_num_rows($result)) { 
		
		//if exist fetch data from table to object
		while($row = mysql_fetch_array($result)) 
			
			{
				$this->id = $row['id'];
				$this->ip = $row['ip'];
				$this->user_id = $row['user_id'];
				$this->started = $row['started'];
				$this->ended = $row['ended'];
			}
		//define current time
		$timestamp = strtotime("now");
		
		//if session hasn't ended admin = true
		if($this->ended<=$timestamp) $this->admin = false;
		else $this->admin = true;
	}
	//if session dosn't exists return admin false
	else $this->admin = false;
	
}
}

?>