<?php
#########################################################
# @Software     HomeLibrary                             #
# @Created by   Nick Bakkegaard (homelibrary.dk)        #
# @License		GNU/AGPL (see LICENSE.php)              #
#########################################################

//if installation path exists go there and run installation
if(file_exists("installation/")) {
header("Location: installation/");
exit();
}

//Make sure that only index.php can access files
define('_FILE_ACCESS', 1);

//start session
session_start(); 

include("configuration.php"); //include Configuration

include("include/misc.connection.php"); //connect to mysql database

include("include/misc.objects.php"); //include objects
?>

    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<title><?php echo $site->get_site_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<?php include("themes/default/head.php"); ?>
</head>
<body>
<?php include("themes/default/index.php"); ?>
</body>
</html>
<?php mysql_close($con);//close mysql connection ?>