-- HomeLibrary MySQL
-- Demo Data
-- -------------------------------------------------------- 


--
-- Demo Data for: Artist
--

INSERT INTO `artist` (`id`, `owner_id`, `name`, `info`) VALUES 
('1', '2', 'Pink Floyd', ''),
('2', '2', 'Bob Dylan', ''),
('3', '2', 'Muse', ''),
('4', '2', 'Guns n Roses', ''),
('5', '2', 'Green Day', ''),
('6', '2', 'Queen', '');
-- -------------------------------------------------------- 


--
-- Demo Data for: Author
--

INSERT INTO `author` (`id`, `owner_id`, `first_name`, `last_name`, `info`) VALUES 
('1', '2', 'Douglas', 'Adams', ''),
('2', '2', 'Dan', 'Brown', ''),
('3', '2', 'Stieg', 'Larsson', ''),
('4', '2', 'J. K. ', 'Rowling', ''),
('5', '2', 'J. R. R. ', 'Tolkien', ''),
('6', '2', 'Jules', 'Verne', '');
-- -------------------------------------------------------- 


--
-- Demo Data for: Book
--

INSERT INTO `book` (`id`, `owner_id`, `title`, `alternative_title`, `author`, `publisher`, `number_of_pages`, `language`, `note`, `year`, `created_date`, `modified_date`, `lent`, `orginal_language`) VALUES 
('1', '2', 'The Hitckhikers Guide to the Galaxy', '', '1', '1', '590', '1', 'All four books in one book.\r\n', '1986', '1305117205', '', '0', '1'),
('2', '2', 'Tankados Kode', 'Digital Fortress', '2', '2', '347', '2', 'Not as good as Angels & Demons.', '1998', '1305117409', '', '0', '1'),
('3', '2', 'Angels And Demons', 'Engle og Dæmoner', '2', '3', '480', '2', 'Best Dan Brown Book.', '2000', '1305118163', '', '0', '1'),
('4', '2', 'Mænd der hader kvinder', 'The Girl with the Dragon Tattoo', '3', '4', '556', '2', '', '2005', '1305118295', '', '0', '4'),
('5', '2', 'Harry Potter og De Vises Sten', 'Harry Potter and the Philosophers Stone', '4', '5', '223', '2', '', '2001', '1305118447', '', '0', '1'),
('6', '2', 'Lord of the Rings: The Fellowship of the Ring', 'Ringenes Herre - Eventyret om Ringen', '5', '6', '550', '2', '', '1954', '1305121233', '', '0', '1'),
('7', '2', 'Twenty Thousand Leagues Under the Sea', 'Vingt mille lieues sous les mers', '6', '7', '201', '1', '', '1870', '1305121379', '', '', '5');
-- -------------------------------------------------------- 


--
-- Demo Data for: CD
--

INSERT INTO `cd` (`id`, `owner_id`, `title`, `year`, `artist`, `length`, `record_label`, `note`, `created_date`, `modified_date`) VALUES 
('1', '2', 'The Dark Side of the Moon', '1973', '1', '43', '1', '', '1305116820', ''),
('2', '2', 'Wish You Were Here', '1975', '1', '44', '1', '', '1305117551', ''),
('3', '2', 'Highway 61 Revisited', '1965', '2', '51', '2', 'Best Bob Dylan Album', '1305117610', ''),
('4', '2', 'The Resistance', '2009', '3', '54', '3', 'Muse <3', '1305117665', ''),
('5', '2', 'Appetite for Destruction', '1987', '4', '53', '4', '', '1305117741', ''),
('6', '2', '21st Century Breakdown', '2009', '5', '69', '5', '', '1305117795', ''),
('7', '2', 'Absolute Greatest ', '2009', '6', '42', '6', '', '1305117869', '');
-- -------------------------------------------------------- 


--
-- Demo Data for: Language
--

INSERT INTO `language` (`id`, `owner_id`, `name`) VALUES 
('1', '2', 'English'),
('2', '2', 'Danish'),
('3', '2', 'German'),
('4', '2', 'Swedish'),
('5', '2', 'French');
-- -------------------------------------------------------- 


--
-- Demo Data for: Movie
--

INSERT INTO `movie` (`id`, `owner_id`, `title`, `alternative_title`, `language`, `year`, `playtime`, `imdb`, `imdb_rate`, `imdb_250`, `type`, `note`, `motified_date`, `created_date`) VALUES 
('1', '2', 'The Shawshank Redemption', 'En Verden Udenfor', '1', '1994', '142', 'tt0111161', '0', '0', '1', 'One of the best movies ever made!', '', '1305116637'),
('2', '2', 'Die Hard', 'Stirb langsam', '1', '1988', '131', 'tt0095016', '0', '0', '2', 'Cool movie', '', '1305116747'),
('3', '2', 'Lucky Number Slevin', '', '1', '2006', '110', 'tt0425210', '0', '0', '1', '', '', '1305117924'),
('4', '2', 'Der Untergang', 'Downfall', '3', '2004', '156', 'tt0363163', '0', '0', '1', '', '', '1305117959'),
('5', '2', 'Casablanca', '', '1', '1942', '102', 'tt0034583', '0', '0', '1', '', '', '1305117998'),
('6', '2', 'The Godfather', '', '1', '1972', '175', 'tt0068646', '0', '0', '1', '', '', '1305118034'),
('7', '2', 'Forrest Gump', '', '1', '1994', '142', 'tt0109830', '0', '0', '1', '', '', '1305118083');
-- -------------------------------------------------------- 


--
-- Demo Data for: Publisher
--

INSERT INTO `publisher` (`id`, `owner_id`, `name`, `info`) VALUES 
('1', '2', 'William Heinemann Ltd', ''),
('2', '2', 'Sane Töregård agency AB', ''),
('3', '2', 'Pocket Books', ''),
('4', '2', 'Norstedts Förlag', ''),
('5', '2', 'Bloomsbury', ''),
('6', '2', 'George Allen & Unwin', ''),
('7', '2', 'Pierre-Jules Hetzel', '');
-- -------------------------------------------------------- 


--
-- Demo Data for: Record Label
--

INSERT INTO `record_label` (`id`, `owner_id`, `name`, `info`) VALUES 
('1', '2', 'Harvest Records', ''),
('2', '2', 'Columbia', ''),
('3', '2', 'atco', ''),
('4', '2', 'Geffen', ''),
('5', '2', 'Reprise', ''),
('6', '2', 'Elektra', '');
-- -------------------------------------------------------- 


--
-- Demo Data for: User
--

INSERT INTO `user` (`id`, `username`, `rights`, `private_password`, `public_password`, `language`, `email`) VALUES 
('2', 'demo', '0', 'fe01ce2a7fbac8fafaed7c982a04e229', '', '', 'demo@example.com');