<?php
#########################################################
# @Software     HomeLibrary                             #
# @Created by   Nick Bakkegaard (homelibrary.dk)        #
# @License		GNU/AGPL (see LICENSE.php)              #
#########################################################

//include backup class
include("../class/class.backup.php");

//dateName() takes the backup filename and return the date
function dateName($string)
	{
		$string= explode(".",$string);
		echo date("Y-m-d H:i:s",$string[0]);
	}

//Check if backup should be deleted
if(isset($_GET['delete']))
	{
		unlink("backup/".$_GET['delete']);
	}	

//if set do backup
if (isset($_GET['doBackup'])) {
	
	$backup = new Backup;
	
	}
?>

<table>
	<tr>
		<th>Navn</th>
		<th>size</th>
		<th>Slet</th>
	</tr>
<?php
//calculating the best unit for filesize
function cal_unit($dataval){
	$i=0;
	$iec = array("B", "KB", "MB", "GB", "TB", "PB", "EB", "ZB", "YB");
	while (($dataval/1024)>1) {
		$dataval=$dataval/1024;
		$i++;
	}
	return round($dataval, 2)." ".$iec[$i];
}

//open backup directory and showing files
if ($handle = opendir('backup'))
	{
		while (false !==($file = readdir($handle))) 
		{
			if($file!= "." && $file != ".." && $file != "index.html")
			{
				echo "\t<tr>\n\t\t<td><a target=\"_blank\" href=\"backup/".$file."\">";
				dateName($file);
				echo "</a></td>\n\t\t<td>".cal_unit(filesize("backup/".$file))."</td>\n\t\t<td><a href=\"?page=backup&amp;delete=".$file."\">slet</a></td>\n\t</tr>";
			}
		}
	}
?>

</table>
<br/>
<a href="?page=backup&amp;doBackup">Backup!</a>