<?php
#########################################################
# @Software     HomeLibrary                             #
# @Created by   Nick Bakkegaard (homelibrary.dk)        #
# @License		GNU/AGPL (see LICENSE.php)              #
#########################################################

//No direct access to file
defined( '_FILE_ACCESS' ) or die( 'Restricted access' );

class Backup {

public $tables = array(); //Array containing tables that should be backed up
public $columns = array(); //Array of Columns for each table
public $backupFile; //Defineing where the backup file is and what the name is

//function filename($filename) {$this->backupFile = $filename; }

function backup(){
	
	//List tables that should be backed up
	$this->tables = array("artist","author","book","cd","config","language","lent","movie","publisher","record_label","sessions","tags","tag_relation","user");
	
	$this->backupFile = "backup/".time().".".md5(session_id().mt_rand()).".sql";
	
	//Make ready to write to file
	$fh=fopen($this->backupFile, 'w');
	
	//writing som basic info to the file
	fwrite($fh,"-- HomeLibrary MySQL Dump\n-- Version 0.1\n-- Timestamp: ".date('l jS \of F Y H:i:s'));
	

	//make backup on table one by one
	foreach($this->tables as $table)
	{
		//writing: table struktur for
		fwrite($fh,"\n-- -------------------------------------------------------- \n\n\n--\n-- Table structure for: ".$table."\n--");
	    
		//dumping the how to create table
		$row2 = mysql_fetch_row(mysql_query('SHOW CREATE TABLE '.$table));
		//and writing it
		fwrite($fh,"\n\n".$row2[1].";\n\n");
				
		//make connection to table
		$result = mysql_query("select * from $table")or die('Error: ' . mysql_error());
		
		//while there is still columns
		for($i = 0; $i < mysql_num_fields($result);$i++) {
			//fetch column information
			$column = mysql_fetch_field($result,$i);

			//put column name in $column array
			$this->columns[$i]=$column->name;
		}
		
		//make mysql query to fetch data
		$result = mysql_query("SELECT * FROM $table") or die('Error: ' . mysql_error());
		
		//this should only be run if there is data
		if(mysql_num_rows($result) != 0){	
		
			//write: Dumping data for
			fwrite($fh,"--\n-- Dumping data for: ".$table."\n--\n\n");		
			
			//write INSERT TO table
			fwrite($fh,"INSERT INTO `".$table."` (");
			
			//reset counter
			$i = 0;
			
			foreach($this->columns as $column)
			{	
				//insert , before statement if not firsttime
				if ($i==0) fwrite($fh,"`".$column."`");
				else fwrite($fh,", `".$column."`");
				$i++;
			}
			//write VALUES
			fwrite($fh,")  VALUES\n");


			

			//fetching data
			$j = 0;
				while($row = mysql_fetch_array($result))
				{
					//first time should not write ,
					if($j==0) fwrite($fh,"\n(");
					else fwrite($fh,",\n(");
					
					$i = 0;
					//for each column get the data and write it
					foreach($this->columns as $column) {
						//first time should not write ,
						if($i == 0) fwrite($fh,"'".$row[$column]."'");
						else fwrite($fh,", '".$row[$column]."'");
						$i++;
					}
					fwrite($fh,")");
					$j++;
				}
			

			fwrite($fh,";\n");
		}
		//empty array columns
		unset($this->columns);
	}
	//close the file
	fclose($fh);
	}
}

?>