<?php
#########################################################
# @Software     HomeLibrary                             #
# @Created by   Nick Bakkegaard (homelibrary.dk)        #
# @License		GNU/AGPL (see LICENSE.php)              #
#########################################################

//No direct access to file
defined( '_FILE_ACCESS' ) or die( 'Restricted access' );

include_once("class.item.php");
include_once("class.author.php");
include_once("class.language.php");
include_once("class.publisher.php");


class Book extends Item {

public $table = "book";

//call variables
public $id;
public $title;
public $alternative_title;
public $author_id;
public $author_first;
public $author_last;
public $publisher;
public $number_of_pages;
public $language;
public $note;
public $year;
public $created_date;
public $modified_date;
public $lent;
public $orginal_language;

//make setter
function set_id($id) { $this->id = $id; }
function set_title($title) { $this->title = $title; }
function set_alternative_title($alternative_title) { $this->alternative_title = $alternative_title; }
function set_author_first($author_first) { $this->author_first = $author_first; }
function set_author_last($author_last) { $this->author_last = $author_last; }
function set_publisher($publisher) { $this->publisher = $publisher; }
function set_number_of_pages($number_of_pages) { $this->number_of_pages = $number_of_pages; }
function set_language($language) { $this->language = $language; }
function set_note($note) { $this->note = $note; }
function set_year($year) { $this->year = $year; }
function set_created_date($created_date) { $this->created_date = $created_date; }
function set_modified_date($motified_date) { $this->motified_date = $motified_date; }
function set_lent($lent) { $this->lent = $lent; }
function set_orginal_language($orginal_language) { $this->orginal_language = $orginal_language; }

//make getters
function get_id() { return $this->id; }
function get_title() { return $this->title; }
function get_alternative_title() { return $this->alternative_title; }
function get_author_first() { return $this->author_first; }
function get_author_last() { return $this->author_last; }
function get_publisher() { return $this->publisher; }
function get_number_of_pages() { return $this->number_of_pages; }
function get_language() { return $this->language; }
function get_note() { return $this->note; }
function get_year() { return $this->year; }
function get_created_date() { return $this->created_date; }
function get_modified_date() { return $this->motified_date; }
function get_lent() { return $this->lent; }
function get_orginal_language() { return $this->orginal_language; }
	
	//Fetch data from table to object
	function get_database($id,$owner_id) {
		
		//mysql query
		$result = mysql_query("SELECT * FROM book WHERE id='$id' AND owner_id='$owner_id'") or die('Error: ' . mysql_error()); //owner_id='$_SESSION[ID]' AND
		
		//fetch data
		while($row = mysql_fetch_array($result))
		{
			$this->id = $id;
			$this->title = $row['title'];
			$this->alternative_title = $row['alternative_title'];
			$this->author_id = $row['author'];
			$this->publisher = $row['publisher'];
			$this->number_of_pages = $row['number_of_pages'];
			$this->language = $row['language'];
			$this->note = $row['note'];
			$this->year = $row['year'];
			$this->created_date = $row['created_date'];
			$this->modified_date = $row['modified_date'];
			$this->lent = $row['lent'];
			$this->orginal_language = $row['orginal_language'];
		}
		
		//get author name from id
		$author = new Author;
		
		$author->get_name($this->author_id,$owner_id);
		
		$this->author_first = $author->get_first_name();
		$this->author_last = $author->get_last_name();
		
		//get language name from id
		$language = new Language;
		
		$this->language = $language->get_name($this->language,$owner_id);
	
		$this->orginal_language = $language->get_name($this->orginal_language,$owner_id);
		
		//get publisher from id
		$publisher = new Publisher;
		
		$this->publisher = $publisher->get_name($this->publisher,$owner_id);
	}

	function update_database($id,$owner_id) {
	
		//define time
		$timestamp=strtotime("now");
		
		//get author id
		$author = new Author;
		
		$author_id = $author->set_name($this->author_first,$this->author_last,$owner_id);
		
		//get language id
		$language = new Language;
		
		$this->language = $language->set_name($this->language,$owner_id);
		$this->orginal_language = $language->set_name($this->orginal_language,$owner_id);
		
		//get publisher id
		$publisher = new Publisher;
		
		$this->publisher = $publisher->set_name($this->publisher,$owner_id);
		
		//update book
		mysql_query("UPDATE book SET 
				title = '$this->title',
				alternative_title = '$this->alternative_title',
				author = '$author_id',
				publisher = '$this->publisher',
				number_of_pages = '$this->number_of_pages',
				language = '$this->language',
				note = '$this->note',
				year = '$this->year',
				created_date = '$this->created_date',
				modified_date = '$timestamp',
				lent = '$this->lent',
				orginal_language = '$this->orginal_language'
			WHERE id = '$this->id' AND owner_id='$owner_id'") or die('Error: ' . mysql_error()); //husk at stte and owner_id
	}
	//create book
	function create($owner_id) {
	
	//define time
	$timestamp=strtotime("now");
	
	//get author id
	$author = new Author;
	
	$author_id = $author->set_name($this->author_first,$this->author_last,$owner_id);
	
	//get language id
	$language = new Language;
	
	$this->language = $language->set_name($this->language,$owner_id);
	$this->orginal_language = $language->set_name($this->orginal_language,$owner_id);
	
	//get publisher id
	$publisher = new Publisher;
	
	$this->publisher = $publisher->set_name($this->publisher,$owner_id);
	
	//run query
	mysql_query("INSERT INTO book (owner_id, title, alternative_title, author, publisher, number_of_pages, language, note, year, created_date, lent, orginal_language)
	VALUES ('$owner_id','$this->title','$this->alternative_title','$author_id','$this->publisher','$this->number_of_pages','$this->language','$this->note','$this->year','$timestamp','$this->lent','$this->orginal_language')")
	or die('Error: ' . mysql_error());

	
	}

}

?>